[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# DSeg

Return data segment

## Declaration

Source position: systemh.inc line 1142

`function DSeg: Word;`

## Description

DSeg returns the data segment register. In Free Pascal, it returns always a zero, since Free Pascal is a 32/64 bit compiler.

## Errors

None.

## See also

CSeg |  | Return code segment
Seg |  | Return segment
Ofs |  | Return offset of a variable.
Ptr |  | Combine segment and offset to pointer

## Example

    Program Example17;

    { Program to demonstrate the DSeg function. }

    Var
      W : Word;

    begin
      W:=DSeg; {W:=0, This function is provided for compatibility,
                      FPC is a 32 bit compiler.}
    end.